Package org.eclipse.core.runtime.preferences

# Class DefaultScope

java.lang.Object
org.eclipse.core.runtime.preferences.AbstractScope
org.eclipse.core.runtime.preferences.DefaultScope

All Implemented Interfaces:
  `IScopeContext`

public final class DefaultScope extends AbstractScope
Object representing the default scope in the Eclipse preferences hierarchy. Can be used as a context for searching for preference values (in the IPreferencesService APIs) or for determining the correct preference node to set values in the store.

Default preferences are not persisted to disk.

The path for preferences defined in the default scope hierarchy is as follows: `/default/<qualifier>`

Note about product preference customization: Clients who define their own org.eclipse.core.runtime.IProduct are able to specify a product key of "`preferenceCustomization`". (defined as a constant in org.eclipse.ui.branding.IProductConstants) Its value is either a `URL` or a file-system path to a file whose contents are used to customize default preferences.

This class is not intended to be subclassed. This class may be instantiated.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IScopeContext`
`INSTANCE`
Singleton instance of a Default Scope object.
`static final String`
`SCOPE`
String constant (value of `"default"`) used for the scope name for the default preference scope.

### Fields inherited from interface org.eclipse.core.runtime.preferences.IScopeContext

`BUNDLE_SCOPE_FILTER, PROPERTY_TYPE, TYPE_BUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultScope()`
Deprecated.
use `DefaultScope.INSTANCE` instead

## Method Summary

Modifier and Type
Method
Description
`IPath`
`getLocation()`
Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.
`String`
`getName()`
Return the name of the scope that this context is associated with.

### Methods inherited from class org.eclipse.core.runtime.preferences.AbstractScope

`equals, getNode, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCOPE

public static final String SCOPE
String constant (value of `"default"`) used for the scope name for the default preference scope.

See Also:
  - Constant Field Values

### INSTANCE

public static final IScopeContext INSTANCE
Singleton instance of a Default Scope object. Typical usage is: `DefaultScope.INSTANCE.getNode(...);`

Since:
  3.4

## Constructor Details

### DefaultScope

@Deprecated public DefaultScope()
Deprecated.
use `DefaultScope.INSTANCE` instead
Create and return a new default scope instance.

## Method Details

### getName

public String getName()
Description copied from interface: `IScopeContext`
Return the name of the scope that this context is associated with. Must not be `null`.

Returns:
  the name of the scope

### getLocation

public IPath getLocation()
Description copied from interface: `IScopeContext`
Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.

Implementors may return `null` if the location is not known, is unavailable, or is not applicable to this scope.

Returns:
  a writable location in the file system or `null`